/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"task.h"
#include	"xl.h"
#include	"memory_routine.h"
#include	"memory_debug.h"
#include	"mlong_char.h"


XL_SEXP*
get_symbol(L_CHAR * name)
{
XL_SYMBOL * s;

	s = &get_sexp(0,XLT_SYMBOL)->symbol;
	s->data = ll_copy_mstr(name);
	return (XL_SEXP*)s;
}

XL_SEXP *
n_get_symbol(char * name)
{
	return get_symbol(l_string(std_cm,name));
}
